Bug 964412 - Review Request: php-tcpdf - PHP class for generating PDF documents
Review Request: php-tcpdf - PHP class for generating PDF documents
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Johan Cwiklinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 965160
  Show dependency treegraph
 
Reported: 2013-05-18 05:37 EDT by Remi Collet
Modified: 2013-06-04 20:48 EDT (History)
3 users (show)

See Also:
Fixed In Version: php-tcpdf-6.0.017-2.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-31 00:27:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
johan: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
php-tcpdf-review (28.14 KB, text/plain)
2013-05-18 11:24 EDT, Johan Cwiklinski
johan: review+
Details

  None (edit)
Description Remi Collet 2013-05-18 05:37:03 EDT
Spec URL: https://raw.github.com/remicollet/remirepo/75541d091483f7d1f8ddca56bdbcb2b1139bb28f/php/php-tcpdf/php-tcpdf.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-tcpdf-6.0.017-2.remi.src.rpm
Description: 
PHP class for generating PDF documents.

* no external libraries are required for the basic functions;
* all standard page formats, custom page formats, custom margins and units
  of measure;
* UTF-8 Unicode and Right-To-Left languages;
* TrueTypeUnicode, OpenTypeUnicode, TrueType, OpenType, Type1 and CID-0 fonts;
* font subsetting;
* methods to publish some XHTML + CSS code, Javascript and Forms;
* images, graphic (geometric figures) and transformation methods;
* supports JPEG, PNG and SVG images natively, all images supported by GD 
  (GD, GD2, GD2PART, GIF, JPEG, PNG, BMP, XBM, XPM) and all images supported
  via ImagMagick (http: www.imagemagick.org/www/formats.html)
* 1D and 2D barcodes: CODE 39, ANSI MH10.8M-1983, USD-3, 3 of 9, CODE 93,
  USS-93, Standard 2 of 5, Interleaved 2 of 5, CODE 128 A/B/C, 2 and 5 Digits
  UPC-Based Extention, EAN 8, EAN 13, UPC-A, UPC-E, MSI, POSTNET, PLANET,
  RMS4CC (Royal Mail 4-state Customer Code), CBC (Customer Bar Code),
  KIX (Klant index - Customer index), Intelligent Mail Barcode, Onecode,
  USPS-B-3200, CODABAR, CODE 11, PHARMACODE, PHARMACODE TWO-TRACKS,
  Datamatrix ECC200, QR-Code, PDF417;
* ICC Color Profiles, Grayscale, RGB, CMYK, Spot Colors and Transparencies;
* automatic page header and footer management;
* document encryption up to 256 bit and digital signature certifications;
* transactions to UNDO commands;
* PDF annotations, including links, text and file attachments;
* text rendering modes (fill, stroke and clipping);
* multiple columns mode;
* no-write page regions;
* bookmarks and table of content;
* text hyphenation;
* text stretching and spacing (tracking/kerning);
* automatic page break, line break and text alignments including justification;
* automatic page numbering and page groups;
* move and delete pages;
* page compression (requires php-zlib extension);
* XOBject templates;
* PDF/A-1b (ISO 19005-1:2005) support.

By default, TCPDF uses the GD library which is know as slower than ImageMagick
solution. You can optionally install php-pecl-imagick; TCPDF will use it.



Fedora Account System Username: remi

Will ba available for various web applications : GLPI 0.85, phpMyAdmin 4.0, Moodle, ...
Comment 1 Johan Cwiklinski 2013-05-18 11:24:39 EDT
Created attachment 749642 [details]
php-tcpdf-review

Package builds fine in mock, installs properly, and work as expected.

rpmlint is not clean, but:
- php-tcpdf.noarch: E: explicit-lib-dependency php-zlib is false positive,
- dangling symlinks are ok, files are provided by required packages

TCPDF upstream package bundle few fonts, that has been unbundled.

According to phpci; all Requires are present.

=== APPROVED ===
Comment 2 Remi Collet 2013-05-18 12:18:59 EDT
New Package SCM Request
=======================
Package Name: php-tcpdf
Short Description: PHP class for generating PDF documents
Owners:  remi  trasher
Branches: f17 f18 f19 el6
InitialCC:
Comment 3 Gwyn Ciesla 2013-05-20 09:48:26 EDT
Git done (by process-git-requests).
Comment 4 Fedora Update System 2013-05-20 11:32:13 EDT
php-tcpdf-6.0.017-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-tcpdf-6.0.017-2.el6
Comment 5 Fedora Update System 2013-05-20 11:32:23 EDT
php-tcpdf-6.0.017-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-tcpdf-6.0.017-2.fc18
Comment 6 Fedora Update System 2013-05-20 11:32:31 EDT
php-tcpdf-6.0.017-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/php-tcpdf-6.0.017-2.fc19
Comment 7 Fedora Update System 2013-05-20 11:32:40 EDT
php-tcpdf-6.0.017-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-tcpdf-6.0.017-2.fc17
Comment 8 Fedora Update System 2013-05-20 16:09:26 EDT
php-tcpdf-6.0.017-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 9 Fedora Update System 2013-05-31 00:27:19 EDT
php-tcpdf-6.0.017-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 10 Fedora Update System 2013-05-31 00:29:09 EDT
php-tcpdf-6.0.017-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 11 Fedora Update System 2013-05-31 23:25:34 EDT
php-tcpdf-6.0.017-2.fc19 has been pushed to the Fedora 19 stable repository.
Comment 12 Fedora Update System 2013-06-04 20:48:29 EDT
php-tcpdf-6.0.017-2.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.